# $Id: ITO.spec,v 1.2 2011/12/19 18:07:09 ksb Exp $
# $KeyFile: ${echo:-echo} Makefile.host
# $Level2: ${echo:-echo} entombing

%define _tmpdir			/tmp
%define _local_prefix		/
%define _local_bindir		%{_local_prefix}/bin

# for signing of packages
#%_signature gpg
#%_gpg_name FIXME@example.org

# %dist should be defined on the target but in case it isn't we can guess one
%define distguess %(cat /etc/{redhat,fedora,suse,ubuntu}-release | sed -e 's/Fedora Core/fc@/; s/Fedora/f@/; s/Red Hat[^0-9]*\(Enterprise|Server\)*[^0-9]*/rhel@/; s/Red Hat[^0-9]*/rh/; s/.*Suse[^0-9]*/se@/; s/Ubuntu[^0-9]*/ubuntu@/; s/@[^0-9]*//;s/\([0-9][0-9]*\)[^0-9][^0-9]*\([0-9][0-9]*\)/\1_\2/; s/[^0-9]*$//')
%{!?dist:%define dist .%{distguess}}

# Do not generate debugging packages by default - older versions of rpmbuild
# (like RehHat 6.2) choke on the line with the percent in the macro name:
# We need a sed spell on RH6.x to "s/\(^.define \)%d/\1d/", Sigh. -- ksb
%define debug_package %{nil}

Name:		entombing
Version:	1.2
Release:	2%{?dist}
BuildRoot:	%{_tmpdir}/%{name}-%{version}-%{release}
Vendor:		NPCGuild.org
Summary:	NPC package to recompile rm, mv, cp after entomb_base active
Group:		Utilities
License:	BSD
URL:		http://patch.sac.fedex.com/RPMS
Source:		http://patch.sac.fedex.com/tarball/%{name}-%{version}.tgz
BuildRequires:	gcc m4 msrc_base install_base entomb_base
# Autoreq:0 prevents misleading depencies from being generated. Normally, this
# is perfectly sane; however, the system is picking up mk directives and
# mkcmd directives as well as system depencies.
Autoreq:	0
Requires:	/bin/ksh entomb_base
Provides:	entombing

%description
If you build this on a FreeBSD host it enables file entombing for
3 important programs  (rm, mv, and cp).  Which saves most user's
files from the Jaws of Death and the Bit Bucket.

%prep
%setup
%build
umask 022
mkdir -p $RPM_BUILD_ROOT/%{_local_bindir}
mmsrc -y INTO=$F -Cauto.cf -- make DESTDIR=$RPM_BUILD_ROOT install
#mk -mInstall -D DESTDIR=$RPM_BUILD_ROOT *.man
rm -rf $F
find $RPM_BUILD_ROOT -depth -type d -name OLD -exec rm -rf \{\} \;

%clean
# Do not confilct with the next user of the fixed-path build directory
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_local_bindir}/rm
%{_local_bindir}/mv
%{_local_bindir}/cp

%changelog
* Mon Dec 19 2011 KS Braunsdorf
- updated to the new dist logic (packaging only change)
* Mon Aug 16 2010 KS Braunsdorf
- Built the RPM spec file and added it to the msrc cache
